For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account balance

The account balance events stream provides updates about account balance changes

Properties

The AccountBalance entity has the following properties:

Property
Type
Description

account_hash

string(64)

Account hash

liquid_balance

uint64

Account liquid balance

staked_balance

uint64

Account staked balance

undelegating_balance

uint64

Account undelegating balance

Optional properties

None

Endpoint

GET /account-balances

Query params

Property
Type
Description

account_hash

string

Comma-separated account hashes

public_key

string

Comma-separated account public keys

Events

Event
Description

updated

Notifies about account balance updates

Response

WebSocketMessage<AccountBalance>

Example

Last updated